NAND_READ_RAW(9)

NAME
nand_read_raw - [GENERIC] Read raw data including oob into buffer

SYNOPSIS

int nand_read_raw (struct mtd_info * mtd, uint8_t * buf, loff_t from, size_t len, size_t ooblen);

ARGUMENTS

mtd MTD device structure

buf temporary buffer

from
    offset to read from

len number of bytes to read

ooblen
    number of oob data bytes to read

DESCRIPTION

Read raw data including oob into buffer

AUTHOR
Thomas Gleixner <tglx@linutronix.de>.